###################################################
### chunk number 1: 
###################################################
options(width=60)


###################################################
### chunk number 2: 
###################################################
body <- c(4.09434, 3.61092, 2.37024, 2.02815, -1.46968)
longevity <- c(4.74493, 3.3322, 3.3673, 2.89037, 2.30259)
names(body) <- names(longevity) <- c("Homo", "Pongo", "Macaca", "Ateles", "Galago")


###################################################
### chunk number 3: 
###################################################
library(ape)
trnwk <- "((((Homo:0.21,Pongo:0.21):0.28,Macaca:0.49):0.13,Ateles:0.62)"
trnwk[2] <- ":0.38,Galago:1.00);"
tr <- read.tree(text = trnwk)
plot(tr)
axisPhylo()


###################################################
### chunk number 4: 
###################################################
w <- 1/cophenetic(tr)
w


###################################################
### chunk number 5: 
###################################################
diag(w) <- 0


###################################################
### chunk number 6: 
###################################################
Moran.I(body, w)


###################################################
### chunk number 7: 
###################################################
Moran.I(body, w, alt = "greater")


###################################################
### chunk number 8: 
###################################################
Moran.I(longevity, w)


###################################################
### chunk number 9: 
###################################################
data(carnivora)
carnivora$log10SW <- log10(carnivora$SW)
carnivora$log10FW <- log10(carnivora$FW)


###################################################
### chunk number 10: 
###################################################
fm1.carn <- log10SW ~ Order/SuperFamily/Family/Genus
co1 <- correlogram.formula(fm1.carn, data = carnivora)
plot(co1)


###################################################
### chunk number 11: 
###################################################
fm2.carn <- log10SW + log10FW ~ Order/SuperFamily/Family/Genus
co2 <- correlogram.formula(fm2.carn, data = carnivora)
print(plot(co2))


###################################################
### chunk number 12: 
###################################################
plot(co2, FALSE)


